import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { Brush } from "igniteui-angular-core/ES5/Brush";
import { SeriesView } from "./SeriesView";
import { Type, Point } from "igniteui-angular-core/ES5/type";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { Rect } from "igniteui-angular-core/ES5/Rect";
import { Pool$1 } from "igniteui-angular-core/ES5/Pool$1";
import { Rectangle } from "igniteui-angular-core/ES5/Rectangle";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { CategoryFrame } from "./CategoryFrame";
import { CategorySeriesView } from "./CategorySeriesView";
import { List$1 } from "igniteui-angular-core/ES5/List$1";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { RenderingContext } from "igniteui-angular-core/ES5/RenderingContext";
/**
 * @hidden
 */
export declare class WaterfallSeries extends HorizontalAnchoredCategorySeries {
    static $t: Type;
    protected bf(): SeriesView;
    im(a: SeriesView): void;
    p9: WaterfallSeriesView;
    constructor();
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    protected get_cz(): boolean;
    ja(a: Brush, b: Brush): void;
    qk: Brush;
    k1(): Brush;
    qa: number;
    qb: number;
    protected get_nn(): boolean;
    protected is(a: any, b: string, c: any, d: any): void;
    dg(a: Point, b: boolean): boolean;
    lm(a: Point): Rect;
    private qm;
    protected m8(): CategoryTransitionInMode;
    hp(a: boolean, b: SeriesView): void;
    ed(): number;
    og(a: CategoryFrame, b: CategorySeriesView): void;
    ql: Brush;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class WaterfallSeriesView extends AnchoredCategorySeriesView {
    static $t: Type;
    ap(): void;
    protected c6: WaterfallSeries;
    constructor(a: WaterfallSeries);
    dg(): Rectangle;
    protected c8: List$1<Rectangle>;
    c9(a: Rectangle): void;
    db(a: Rectangle): void;
    da(a: Rectangle): void;
    dc(a: Rectangle, b: number, c: number): void;
    protected z(a: number): any;
    private df;
    protected y(a: number): any;
    protected a3(a: RenderingContext, b: boolean): void;
    c7: Pool$1<Rectangle>;
    ai(a: any): void;
    dd(a: number): Rect;
    de(a: Rectangle): Rect;
}
